Why am I told that my browser does not support HTML5?

Some of our new web games use HTML5 (an alternate method of displaying videos and graphics online, which does not require Adobe Flash Player). These games have different requirements than Flash games. If you are using an unsupported browser you will see the message "In order to play this game you must be using a browser that supports HTML5."

Which browsers support HTML5 games?

See instructions for updating your browser.

Find out your browser and operating system version.

Supported browsers by Operating System

Operating System Supported Browsers
Windows
Windows 10 Chrome, Firefox and Edge
Windows 8 Chrome and Firefox
Windows 7 Chrome and Firefox
Windows Vista Firefox
Windows XP Firefox
Mac
El Capitan 10.11 Chrome, Firefox and Safari
Yosemite 10.10 Chrome and Firefox
Mavericks 10.9 Chrome and Firefox
Mountain Lion 10.8  Firefox
Lion 10.7  Firefox
Snow Leopard 10.3  Firefox
Leopard 10.5 Unsupported
Tiger 10.4  Unsupported

 

Having trouble on a supported browser?

HTML5 games require certain graphics cards and drivers (the hardware used to play video graphics). Check for any available updates on your computer. If you still have trouble, your graphics card may not support HTML5.

 

If you need assistance, please email us. Please let us know what kind of trouble you are having and which troubleshooting steps you have already tried.

Last Updated:
Was this article helpful?